| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::PluginCommon::SoftShader::ScanlineComp Struct Reference

Undivided buffer values. More...

`#include <csplugincommon/softshader/types.h>`

List of all members.

## Public Attributes
csFixed16 | c
| "Direct" component
csFixed16 | dcdx
| "Direct" component delta

## Detailed Description

Undivided buffer values.

Definition at line 141 of file types.h.

## Member Data Documentation

csFixed16 CS::PluginCommon::SoftShader::ScanlineComp::c

"Direct" component

Definition at line 144 of file types.h.

Referenced by CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Advance(), and CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Setup().

csFixed16 CS::PluginCommon::SoftShader::ScanlineComp::dcdx

"Direct" component delta

Definition at line 146 of file types.h.

Referenced by CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Advance(), and CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >::Setup().

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/types.h